Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 234577 - Request for INFO test's enhancements on IA64
Summary: Request for INFO test's enhancements on IA64
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Hardware Certification Program
Classification: Red Hat
Component: Test Suite (tests)
Version: 5
Hardware: ia64
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: YangKun
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-03-30 08:26 UTC by YangKun
Modified: 2008-07-16 21:56 UTC (History)
0 users

Fixed In Version: RHBA-2007-0736
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-08-02 16:30:31 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2007:0736 normal SHIPPED_LIVE hts bug fix available 2007-10-24 15:32:42 UTC

Description YangKun 2007-03-30 08:26:10 UTC
Description of problem:

  o "dmidecode" is not available on Itanium machines, do we have any replacement
for it ?

  o "/proc/cpuinfo" does not collect enough infomation. On IA64 machines, all
detailed CPU info(e.g. the cache size) will be kept under "/proc/pal/", suggest
to collect following files in info test:
---------------------------------
[root@dhcp-0-091 cpu0]# ls /proc/pal/cpu0/
bus_info  cache_info  frequency_info  perfmon_info  power_info  processor_info 
register_info  tr_info  version_info  vm_info
[root@dhcp-0-091 cpu0]#
---------------------------------

Comment 1 YangKun 2007-04-04 02:10:22 UTC
ppc64  also does not have "dmidecode"

Comment 2 YangKun 2007-04-16 06:25:49 UTC
added code to grab cache information in CORE test. available in R38.

Comment 3 YangKun 2007-04-16 06:27:58 UTC
(In reply to comment #2)
> added code to grab cache information in CORE test. available in R38.
I mean, for IA64 machines. 

Still need to work on ppc64.(waiting for ppc64 machines)


Comment 4 YangKun 2007-04-18 07:38:49 UTC
added code to grab CPU info on ia64 and ppc64 machines. this is actually a CORE
test's enhancement.

available in R40

Comment 7 Red Hat Bugzilla 2007-08-02 16:30:31 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2007-0736.html



Note You need to log in before you can comment on or make changes to this bug.